Skip to Content.
Sympa Menu

sm-commit - [SM-Commit] GIT changes to test cauldron by Justin Boffemmyer (67cd9b9019409163394d329feac26d3e3b29f010)

sm-commit AT lists.ibiblio.org

Subject: Source Mage code commit list

List archive

Chronological Thread  
  • From: Justin Boffemmyer <scm AT sourcemage.org>
  • To: sm-commit AT lists.ibiblio.org
  • Subject: [SM-Commit] GIT changes to test cauldron by Justin Boffemmyer (67cd9b9019409163394d329feac26d3e3b29f010)
  • Date: Sat, 27 Dec 2008 15:36:16 -0600

GIT changes to test cauldron by Justin Boffemmyer <flux AT sourcemage.org>:

scripts/spellcaster.sh | 16 ++++++++++++++++
1 files changed, 16 insertions(+)

New commits:
commit 67cd9b9019409163394d329feac26d3e3b29f010
Author: Justin Boffemmyer <flux AT sourcemage.org>
Commit: Justin Boffemmyer <flux AT sourcemage.org>

scripts/spellcaster.sh: mkdir var/cache/sorcery

Ensure that the var/cache/sorcery path is available inside both ISODIR
and SYSDIR.

diff --git a/scripts/spellcaster.sh b/scripts/spellcaster.sh
index 4eb76f8..99dcb0d 100755
--- a/scripts/spellcaster.sh
+++ b/scripts/spellcaster.sh
@@ -83,6 +83,14 @@ function sanity_check() {
}
}

+ # If ISODIR/var/cache/sorcery is not a directory, create it.
+ [[ ! -d "$ISODIR/var/cache/sorcery" ]] && {
+ mkdir -p "$ISODIR/var/cache/sorcery" || {
+ echo "couldn't create $ISODIR/var/cache/sorcery" &&
+ exit 3
+ }
+ }
+
# If SYSDIR is not a directory, create it.
[[ ! -d "$SYSDIR" ]] && {
mkdir -p "$SYSDIR" || {
@@ -91,6 +99,14 @@ function sanity_check() {
}
}

+ # If SYSDIR/var/cache/sorcery is not a directory, create it.
+ [[ ! -d "$SYSDIR/var/cache/sorcery" ]] && {
+ mkdir -p "$SYSDIR/var/cache/sorcery" || {
+ echo "couldn't create $SYSDIR/var/cache/sorcery" &&
+ exit 3
+ }
+ }
+
if [[ -e "$config" ]]
then
arch="$(source "$config" && echo $ARCHIVE)"



  • [SM-Commit] GIT changes to test cauldron by Justin Boffemmyer (67cd9b9019409163394d329feac26d3e3b29f010), Justin Boffemmyer, 12/27/2008

Archive powered by MHonArc 2.6.24.

Top of Page